/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.console.event.handler;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import org.logical_paradox.console.event.ConsoleEventObject;
import org.logical_paradox.console.event.KeyPressListener;

/**
 * キーボードが押下された際のイベントハンドラ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class KeyPressEventHandler implements KeyListener {
	private KeyPressListener listener;

	/**
	 * コンストラクタ
	 * @param l キープレスリスナー
	 */
	public KeyPressEventHandler(KeyPressListener l) {
		listener = l;
	}
	public void keyPressed(KeyEvent e) {
		ConsoleEventObject event = new ConsoleEventObject(e, ConsoleEventObject.E_KEY_PRESS);
		event.setKeyCode(e.getKeyCode());
		event.setKeyChar(e.getKeyChar());

		// イベントの呼び出し
		listener.onKeyPressed(event);
	}
	public void keyReleased(KeyEvent e) {
	}
	/**
	 * キー入力発生時の処理
	 * @param e キー入力イベント
	 */
	public void keyTyped(KeyEvent e) {
	}
}
